# Contributing Guidelines

OneFish is not open-source yet, at least for now. But, we encourage every engineer in efishery to contribute developing this design token. This guidelines will tell you how to contribute to this project in in other to maintain consistency within the project strucutre folder and the code.

## How to contribute

1. If you found any bug or you want to propose any change or improvement, please create the [issue](https://github.com/eFishery/OneFish-foundation/issues) first and mention the maintainer.
2. [Fork the repository](https://github.com/eFishery/OneFish-foundation/fork)
3. Create your feature branch: `git checkout -b my-new-feature`
4. Commit your changes: `git commit -am 'Add some feature'`. Please follow the [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/) or [Karma Commit Message](http://karma-runner.github.io/0.10/dev/git-commit-msg.html). We have commitlint that will check your commit message.
5. Push to the branch: `git push -u origin my-new-feature`
6. Create a [Pull Request](https://github.com/eFishery/OneFish-foundation/pulls)!

## How to run

- Install deps by run `yarn install`. For consistensy, please use yarn instead.
- Add or edit token within `/token` directory.
- Run `yarn build` to generate the formatted file.

## Project Structure

### `config.json`

This is configuration file, where we define the _source_ file and the target platforms with the format we desire. For more explanation please read the docs of
[style-dictionary](https://amzn.github.io/style-dictionary/#/). For this project we will transform into CSS, SCSS, and Android XML.

### `/token`

We define the design token here. We group our token by color, size, and, font. Every JSON file within this directory will be transformed into format we define in `config.json`.

### `/build`

This directory contains all the formatted token.
